Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.webhooks.list({});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.webhooks.list(
request={},
)curl --request POST \
--url https://api.useautumn.com/v1/webhooks.list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '{}'{
"list": [
{
"id": "billing",
"url": "https://example.com/webhooks/autumn",
"events": [
"billing.updated",
"invoice.finalized"
],
"description": "Plan changes and invoices",
"disabled": false,
"created_at": 1781113864000,
"updated_at": 1781113864000
}
]
}
Webhooks
List Webhooks
Lists every webhook in the environment of the calling key, including ones made in the dashboard (these show their ep_… ID).
POST
/
v1
/
webhooks.list
Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.webhooks.list({});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.webhooks.list(
request={},
)curl --request POST \
--url https://api.useautumn.com/v1/webhooks.list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '{}'{
"list": [
{
"id": "billing",
"url": "https://example.com/webhooks/autumn",
"events": [
"billing.updated",
"invoice.finalized"
],
"description": "Plan changes and invoices",
"disabled": false,
"created_at": 1781113864000,
"updated_at": 1781113864000
}
]
}
Response
{
"list": [
{
"id": "billing",
"url": "https://example.com/webhooks/autumn",
"events": [
"billing.updated",
"invoice.finalized"
],
"description": "Plan changes and invoices",
"disabled": false,
"created_at": 1781113864000,
"updated_at": 1781113864000
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
No body. Lists every webhook in the environment of the calling key.
Response
200 - application/json
OK
The environment's webhooks.
Show child attributes
Show child attributes